nl.topicus.jdbc.statement

## Class InsertWorker

- java.lang.Object
- - nl.topicus.jdbc.statement.AbstractTablePartWorker
  - - nl.topicus.jdbc.statement.InsertWorker

All Implemented Interfaces:
  Callable<ConversionResult>

    public class InsertWorker
    extends AbstractTablePartWorker

### Nested Class Summary

### Nested classes/interfaces inherited from class nl.topicus.jdbc.statement.AbstractTablePartWorker

`AbstractTablePartWorker.DMLOperation`

### Field Summary

### Fields inherited from class nl.topicus.jdbc.statement.AbstractTablePartWorker

`connection, operation, select`

### Constructor Summary

Constructors
Constructor and Description
`InsertWorker(CloudSpannerConnection connection, net.sf.jsqlparser.statement.select.Select select, net.sf.jsqlparser.statement.insert.Insert insert, boolean allowExtendedMode, AbstractTablePartWorker.DMLOperation operation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `createSQL()`
`protected List<String>` `getColumnNames()`
`protected net.sf.jsqlparser.schema.Table` `getTable()`

### Methods inherited from class nl.topicus.jdbc.statement.AbstractTablePartWorker

`call, genericRun, getEstimatedRecordCount, getRecordCount, isExtendedMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InsertWorker

    public InsertWorker(CloudSpannerConnection connection,
                        net.sf.jsqlparser.statement.select.Select select,
                        net.sf.jsqlparser.statement.insert.Insert insert,
                        boolean allowExtendedMode,
                        AbstractTablePartWorker.DMLOperation operation)

### Method Detail

#### getColumnNames

    protected List<String> getColumnNames()
                                   throws SQLException

Specified by:
  `getColumnNames` in class `AbstractTablePartWorker`
Throws:
  `SQLException`

#### createSQL

    protected String createSQL()
                        throws SQLException

Specified by:
  `createSQL` in class `AbstractTablePartWorker`
Throws:
  `SQLException`

#### getTable

    protected net.sf.jsqlparser.schema.Table getTable()

Specified by:
  `getTable` in class `AbstractTablePartWorker`